Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

List external storage configurations

GET
/organization/external_storage

List the organization’s customer-managed external storage configurations.

Query Parameters
after: optional string or null

Return external storage configurations after this ID.

limit: optional number
minimum1
maximum100
order: optional "asc" or "desc"
One of the following:
"asc"
"desc"
project_id: optional string or null
Returns
data: array of ExternalStorageConfiguration { id, created_at, geography, 4 more }
id: string
created_at: number
formatunixtime
geography: string
object: "organization.external_storage"
project_id: string
provider: AwsExternalStorageProvider { account_id, bucket, external_id, 3 more } or AzureExternalStorageProvider { account_name, container, region, 4 more } or GcpExternalStorageProvider { audience, bucket, region, 4 more } or OciExternalStorageProvider { bucket, region, tenancy_ocid, type }
One of the following:
AwsExternalStorageProvider object { account_id, bucket, external_id, 3 more }
account_id: string
bucket: string
external_id: string
region: string
role_arn: string
type: "aws"
AzureExternalStorageProvider object { account_name, container, region, 4 more }
account_name: string
container: string
region: string
resource_group: string
subscription_id: string
tenant_id: string
type: "azure"
GcpExternalStorageProvider object { audience, bucket, region, 4 more }
audience: string
bucket: string
region: string
type: "gcp"
workload_identity_pool_id: string
workload_identity_project_number: string
workload_identity_provider_id: string
OciExternalStorageProvider object { bucket, region, tenancy_ocid, type }
bucket: string
region: string
tenancy_ocid: string
type: "oci"
status: "pending" or "validated" or "degraded" or "unhealthy"
One of the following:
"pending"
"validated"
"degraded"
"unhealthy"
first_id: string or null
has_more: boolean
last_id: string or null
object: "list"

List external storage configurations

curl "https://api.openai.com/v1/organization/external_storage?limit=20&order=desc" \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
  "object": "list",
  "data": [
    {
      "object": "organization.external_storage",
      "id": "extstorage_abc123",
      "project_id": "proj_abc123",
      "provider": {
        "type": "aws",
        "account_id": "123456789012",
        "region": "us-east-1",
        "bucket": "customer-logs",
        "role_arn": "arn:aws:iam::123456789012:role/OpenAIExternalStorageRole",
        "external_id": "proj_abc123"
      },
      "geography": "US",
      "status": "validated",
      "created_at": 1711471533
    },
    {
      "object": "organization.external_storage",
      "id": "extstorage_azure123",
      "project_id": "proj_azure123",
      "provider": {
        "type": "azure",
        "tenant_id": "11111111-1111-1111-1111-111111111111",
        "subscription_id": "22222222-2222-2222-2222-222222222222",
        "resource_group": "customer-rg",
        "account_name": "customerstorage",
        "container": "openai-data",
        "region": "eastus"
      },
      "geography": "US",
      "status": "validated",
      "created_at": 1711471500
    },
    {
      "object": "organization.external_storage",
      "id": "extstorage_gcp123",
      "project_id": "proj_gcp123",
      "provider": {
        "type": "gcp",
        "bucket": "customer-gcp-retention",
        "workload_identity_project_number": "123456789012",
        "workload_identity_pool_id": "customer-pool",
        "workload_identity_provider_id": "customer-provider",
        "region": "us-central1",
        "audience": "proj_gcp123"
      },
      "geography": "US",
      "status": "validated",
      "created_at": 1711471400
    }
  ],
  "first_id": "extstorage_abc123",
  "last_id": "extstorage_gcp123",
  "has_more": false
}
Returns Examples
{
  "object": "list",
  "data": [
    {
      "object": "organization.external_storage",
      "id": "extstorage_abc123",
      "project_id": "proj_abc123",
      "provider": {
        "type": "aws",
        "account_id": "123456789012",
        "region": "us-east-1",
        "bucket": "customer-logs",
        "role_arn": "arn:aws:iam::123456789012:role/OpenAIExternalStorageRole",
        "external_id": "proj_abc123"
      },
      "geography": "US",
      "status": "validated",
      "created_at": 1711471533
    },
    {
      "object": "organization.external_storage",
      "id": "extstorage_azure123",
      "project_id": "proj_azure123",
      "provider": {
        "type": "azure",
        "tenant_id": "11111111-1111-1111-1111-111111111111",
        "subscription_id": "22222222-2222-2222-2222-222222222222",
        "resource_group": "customer-rg",
        "account_name": "customerstorage",
        "container": "openai-data",
        "region": "eastus"
      },
      "geography": "US",
      "status": "validated",
      "created_at": 1711471500
    },
    {
      "object": "organization.external_storage",
      "id": "extstorage_gcp123",
      "project_id": "proj_gcp123",
      "provider": {
        "type": "gcp",
        "bucket": "customer-gcp-retention",
        "workload_identity_project_number": "123456789012",
        "workload_identity_pool_id": "customer-pool",
        "workload_identity_provider_id": "customer-provider",
        "region": "us-central1",
        "audience": "proj_gcp123"
      },
      "geography": "US",
      "status": "validated",
      "created_at": 1711471400
    }
  ],
  "first_id": "extstorage_abc123",
  "last_id": "extstorage_gcp123",
  "has_more": false
}